package com.mortals.xhx.module.device.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.device.model.DeviceStatEntity;
/**
 * 设备统计查询对象
 *
 * @author zxfei
 * @date 2022-08-22
 */
public class DeviceStatQuery extends DeviceStatEntity {
    /** 开始 ID */
    private Long idStart;

    /** 结束 ID */
    private Long idEnd;

    /** 增加 ID */
    private Long idIncrement;

    /** ID列表 */
    private List <Long> idList;

    /** 开始 站点Id，来源基础服务平台 */
    private Long siteIdStart;

    /** 结束 站点Id，来源基础服务平台 */
    private Long siteIdEnd;

    /** 增加 站点Id，来源基础服务平台 */
    private Long siteIdIncrement;

    /** 站点Id，来源基础服务平台列表 */
    private List <Long> siteIdList;

    /** 开始 设备总数 */
    private Integer deviceTotalCountStart;

    /** 结束 设备总数 */
    private Integer deviceTotalCountEnd;

    /** 增加 设备总数 */
    private Integer deviceTotalCountIncrement;

    /** 设备总数列表 */
    private List <Integer> deviceTotalCountList;

    /** 开始 昨日新增减少设备数量 */
    private Integer deviceAddCountStart;

    /** 结束 昨日新增减少设备数量 */
    private Integer deviceAddCountEnd;

    /** 增加 昨日新增减少设备数量 */
    private Integer deviceAddCountIncrement;

    /** 昨日新增减少设备数量列表 */
    private List <Integer> deviceAddCountList;

    /** 开始 监控站点数量 */
    private Integer siteTotalCountStart;

    /** 结束 监控站点数量 */
    private Integer siteTotalCountEnd;

    /** 增加 监控站点数量 */
    private Integer siteTotalCountIncrement;

    /** 监控站点数量列表 */
    private List <Integer> siteTotalCountList;

    /** 开始 昨日新增站点数量 */
    private Integer siteAddCountStart;

    /** 结束 昨日新增站点数量 */
    private Integer siteAddCountEnd;

    /** 增加 昨日新增站点数量 */
    private Integer siteAddCountIncrement;

    /** 昨日新增站点数量列表 */
    private List <Integer> siteAddCountList;

    /** 开始 在线设备数量 */
    private Integer deviceOnlineCountStart;

    /** 结束 在线设备数量 */
    private Integer deviceOnlineCountEnd;

    /** 增加 在线设备数量 */
    private Integer deviceOnlineCountIncrement;

    /** 在线设备数量列表 */
    private List <Integer> deviceOnlineCountList;

    /** 开始 在线率 */
    private BigDecimal deviceOnlineRatioStart;

    /** 结束 在线率 */
    private BigDecimal deviceOnlineRatioEnd;

    /** 增加 在线率 */
    private BigDecimal deviceOnlineRatioIncrement;

    /** 在线率列表 */
    private List <BigDecimal> deviceOnlineRatioList;

    /** 开始 离线设备数量 */
    private Integer deviceOfflineCountStart;

    /** 结束 离线设备数量 */
    private Integer deviceOfflineCountEnd;

    /** 增加 离线设备数量 */
    private Integer deviceOfflineCountIncrement;

    /** 离线设备数量列表 */
    private List <Integer> deviceOfflineCountList;

    /** 开始 离线率 */
    private BigDecimal deviceOfflineRatioStart;

    /** 结束 离线率 */
    private BigDecimal deviceOfflineRatioEnd;

    /** 增加 离线率 */
    private BigDecimal deviceOfflineRatioIncrement;

    /** 离线率列表 */
    private List <BigDecimal> deviceOfflineRatioList;

    /** 开始 停用设备数量 */
    private Integer deviceStopCountStart;

    /** 结束 停用设备数量 */
    private Integer deviceStopCountEnd;

    /** 增加 停用设备数量 */
    private Integer deviceStopCountIncrement;

    /** 停用设备数量列表 */
    private List <Integer> deviceStopCountList;

    /** 开始 停用率 */
    private BigDecimal deviceStopRatioStart;

    /** 结束 停用率 */
    private BigDecimal deviceStopRatioEnd;

    /** 增加 停用率 */
    private BigDecimal deviceStopRatioIncrement;

    /** 停用率列表 */
    private List <BigDecimal> deviceStopRatioList;

    /** 开始 未激活设备数量 */
    private Integer deviceUnActiveCountStart;

    /** 结束 未激活设备数量 */
    private Integer deviceUnActiveCountEnd;

    /** 增加 未激活设备数量 */
    private Integer deviceUnActiveCountIncrement;

    /** 未激活设备数量列表 */
    private List <Integer> deviceUnActiveCountList;

    /** 开始 未激活率 */
    private BigDecimal deviceUnActiveRatioStart;

    /** 结束 未激活率 */
    private BigDecimal deviceUnActiveRatioEnd;

    /** 增加 未激活率 */
    private BigDecimal deviceUnActiveRatioIncrement;

    /** 未激活率列表 */
    private List <BigDecimal> deviceUnActiveRatioList;

    /** 开始 今日告警数量 */
    private Integer alarmTotalCountStart;

    /** 结束 今日告警数量 */
    private Integer alarmTotalCountEnd;

    /** 增加 今日告警数量 */
    private Integer alarmTotalCountIncrement;

    /** 今日告警数量列表 */
    private List <Integer> alarmTotalCountList;

    /** 开始 昨日新增减少数量 */
    private Integer alarmAddCountStart;

    /** 结束 昨日新增减少数量 */
    private Integer alarmAddCountEnd;

    /** 增加 昨日新增减少数量 */
    private Integer alarmAddCountIncrement;

    /** 昨日新增减少数量列表 */
    private List <Integer> alarmAddCountList;

    /** 开始 今日消息推送数量 */
    private Integer pushTotalCountStart;

    /** 结束 今日消息推送数量 */
    private Integer pushTotalCountEnd;

    /** 增加 今日消息推送数量 */
    private Integer pushTotalCountIncrement;

    /** 今日消息推送数量列表 */
    private List <Integer> pushTotalCountList;

    /** 开始 昨日新增减少数量 */
    private Integer pushAddCountStart;

    /** 结束 昨日新增减少数量 */
    private Integer pushAddCountEnd;

    /** 增加 昨日新增减少数量 */
    private Integer pushAddCountIncrement;

    /** 昨日新增减少数量列表 */
    private List <Integer> pushAddCountList;

    /** 开始 今日上行消息数量 */
    private Integer uploadMessageTotalCountStart;

    /** 结束 今日上行消息数量 */
    private Integer uploadMessageTotalCountEnd;

    /** 增加 今日上行消息数量 */
    private Integer uploadMessageTotalCountIncrement;

    /** 今日上行消息数量列表 */
    private List <Integer> uploadMessageTotalCountList;

    /** 开始 今日下行消息数量 */
    private Integer downloadMessageTotalCountStart;

    /** 结束 今日下行消息数量 */
    private Integer downloadMessageTotalCountEnd;

    /** 增加 今日下行消息数量 */
    private Integer downloadMessageTotalCountIncrement;

    /** 今日下行消息数量列表 */
    private List <Integer> downloadMessageTotalCountList;

    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 开始 日 */
    private Integer dayStart;

    /** 结束 日 */
    private Integer dayEnd;

    /** 增加 日 */
    private Integer dayIncrement;

    /** 日列表 */
    private List <Integer> dayList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceStatQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceStatQuery> andConditionList;

    public DeviceStatQuery(){}

    /**
     * 获取 开始 ID
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 ID
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 ID
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 ID
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 ID
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 ID
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 ID
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 ID
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 站点Id，来源基础服务平台
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id，来源基础服务平台
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id，来源基础服务平台
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id，来源基础服务平台
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id，来源基础服务平台
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id，来源基础服务平台
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id，来源基础服务平台
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 开始 设备总数
     * @return deviceTotalCountStart
     */
    public Integer getDeviceTotalCountStart(){
        return this.deviceTotalCountStart;
    }

    /**
     * 设置 开始 设备总数
     * @param deviceTotalCountStart
     */
    public void setDeviceTotalCountStart(Integer deviceTotalCountStart){
        this.deviceTotalCountStart = deviceTotalCountStart;
    }

    /**
     * 获取 结束 设备总数
     * @return $deviceTotalCountEnd
     */
    public Integer getDeviceTotalCountEnd(){
        return this.deviceTotalCountEnd;
    }

    /**
     * 设置 结束 设备总数
     * @param deviceTotalCountEnd
     */
    public void setDeviceTotalCountEnd(Integer deviceTotalCountEnd){
        this.deviceTotalCountEnd = deviceTotalCountEnd;
    }

    /**
     * 获取 增加 设备总数
     * @return deviceTotalCountIncrement
     */
    public Integer getDeviceTotalCountIncrement(){
        return this.deviceTotalCountIncrement;
    }

    /**
     * 设置 增加 设备总数
     * @param deviceTotalCountIncrement
     */
    public void setDeviceTotalCountIncrement(Integer deviceTotalCountIncrement){
        this.deviceTotalCountIncrement = deviceTotalCountIncrement;
    }

    /**
     * 获取 设备总数
     * @return deviceTotalCountList
     */
    public List<Integer> getDeviceTotalCountList(){
        return this.deviceTotalCountList;
    }

    /**
     * 设置 设备总数
     * @param deviceTotalCountList
     */
    public void setDeviceTotalCountList(List<Integer> deviceTotalCountList){
        this.deviceTotalCountList = deviceTotalCountList;
    }

    /**
     * 获取 开始 昨日新增减少设备数量
     * @return deviceAddCountStart
     */
    public Integer getDeviceAddCountStart(){
        return this.deviceAddCountStart;
    }

    /**
     * 设置 开始 昨日新增减少设备数量
     * @param deviceAddCountStart
     */
    public void setDeviceAddCountStart(Integer deviceAddCountStart){
        this.deviceAddCountStart = deviceAddCountStart;
    }

    /**
     * 获取 结束 昨日新增减少设备数量
     * @return $deviceAddCountEnd
     */
    public Integer getDeviceAddCountEnd(){
        return this.deviceAddCountEnd;
    }

    /**
     * 设置 结束 昨日新增减少设备数量
     * @param deviceAddCountEnd
     */
    public void setDeviceAddCountEnd(Integer deviceAddCountEnd){
        this.deviceAddCountEnd = deviceAddCountEnd;
    }

    /**
     * 获取 增加 昨日新增减少设备数量
     * @return deviceAddCountIncrement
     */
    public Integer getDeviceAddCountIncrement(){
        return this.deviceAddCountIncrement;
    }

    /**
     * 设置 增加 昨日新增减少设备数量
     * @param deviceAddCountIncrement
     */
    public void setDeviceAddCountIncrement(Integer deviceAddCountIncrement){
        this.deviceAddCountIncrement = deviceAddCountIncrement;
    }

    /**
     * 获取 昨日新增减少设备数量
     * @return deviceAddCountList
     */
    public List<Integer> getDeviceAddCountList(){
        return this.deviceAddCountList;
    }

    /**
     * 设置 昨日新增减少设备数量
     * @param deviceAddCountList
     */
    public void setDeviceAddCountList(List<Integer> deviceAddCountList){
        this.deviceAddCountList = deviceAddCountList;
    }

    /**
     * 获取 开始 监控站点数量
     * @return siteTotalCountStart
     */
    public Integer getSiteTotalCountStart(){
        return this.siteTotalCountStart;
    }

    /**
     * 设置 开始 监控站点数量
     * @param siteTotalCountStart
     */
    public void setSiteTotalCountStart(Integer siteTotalCountStart){
        this.siteTotalCountStart = siteTotalCountStart;
    }

    /**
     * 获取 结束 监控站点数量
     * @return $siteTotalCountEnd
     */
    public Integer getSiteTotalCountEnd(){
        return this.siteTotalCountEnd;
    }

    /**
     * 设置 结束 监控站点数量
     * @param siteTotalCountEnd
     */
    public void setSiteTotalCountEnd(Integer siteTotalCountEnd){
        this.siteTotalCountEnd = siteTotalCountEnd;
    }

    /**
     * 获取 增加 监控站点数量
     * @return siteTotalCountIncrement
     */
    public Integer getSiteTotalCountIncrement(){
        return this.siteTotalCountIncrement;
    }

    /**
     * 设置 增加 监控站点数量
     * @param siteTotalCountIncrement
     */
    public void setSiteTotalCountIncrement(Integer siteTotalCountIncrement){
        this.siteTotalCountIncrement = siteTotalCountIncrement;
    }

    /**
     * 获取 监控站点数量
     * @return siteTotalCountList
     */
    public List<Integer> getSiteTotalCountList(){
        return this.siteTotalCountList;
    }

    /**
     * 设置 监控站点数量
     * @param siteTotalCountList
     */
    public void setSiteTotalCountList(List<Integer> siteTotalCountList){
        this.siteTotalCountList = siteTotalCountList;
    }

    /**
     * 获取 开始 昨日新增站点数量
     * @return siteAddCountStart
     */
    public Integer getSiteAddCountStart(){
        return this.siteAddCountStart;
    }

    /**
     * 设置 开始 昨日新增站点数量
     * @param siteAddCountStart
     */
    public void setSiteAddCountStart(Integer siteAddCountStart){
        this.siteAddCountStart = siteAddCountStart;
    }

    /**
     * 获取 结束 昨日新增站点数量
     * @return $siteAddCountEnd
     */
    public Integer getSiteAddCountEnd(){
        return this.siteAddCountEnd;
    }

    /**
     * 设置 结束 昨日新增站点数量
     * @param siteAddCountEnd
     */
    public void setSiteAddCountEnd(Integer siteAddCountEnd){
        this.siteAddCountEnd = siteAddCountEnd;
    }

    /**
     * 获取 增加 昨日新增站点数量
     * @return siteAddCountIncrement
     */
    public Integer getSiteAddCountIncrement(){
        return this.siteAddCountIncrement;
    }

    /**
     * 设置 增加 昨日新增站点数量
     * @param siteAddCountIncrement
     */
    public void setSiteAddCountIncrement(Integer siteAddCountIncrement){
        this.siteAddCountIncrement = siteAddCountIncrement;
    }

    /**
     * 获取 昨日新增站点数量
     * @return siteAddCountList
     */
    public List<Integer> getSiteAddCountList(){
        return this.siteAddCountList;
    }

    /**
     * 设置 昨日新增站点数量
     * @param siteAddCountList
     */
    public void setSiteAddCountList(List<Integer> siteAddCountList){
        this.siteAddCountList = siteAddCountList;
    }

    /**
     * 获取 开始 在线设备数量
     * @return deviceOnlineCountStart
     */
    public Integer getDeviceOnlineCountStart(){
        return this.deviceOnlineCountStart;
    }

    /**
     * 设置 开始 在线设备数量
     * @param deviceOnlineCountStart
     */
    public void setDeviceOnlineCountStart(Integer deviceOnlineCountStart){
        this.deviceOnlineCountStart = deviceOnlineCountStart;
    }

    /**
     * 获取 结束 在线设备数量
     * @return $deviceOnlineCountEnd
     */
    public Integer getDeviceOnlineCountEnd(){
        return this.deviceOnlineCountEnd;
    }

    /**
     * 设置 结束 在线设备数量
     * @param deviceOnlineCountEnd
     */
    public void setDeviceOnlineCountEnd(Integer deviceOnlineCountEnd){
        this.deviceOnlineCountEnd = deviceOnlineCountEnd;
    }

    /**
     * 获取 增加 在线设备数量
     * @return deviceOnlineCountIncrement
     */
    public Integer getDeviceOnlineCountIncrement(){
        return this.deviceOnlineCountIncrement;
    }

    /**
     * 设置 增加 在线设备数量
     * @param deviceOnlineCountIncrement
     */
    public void setDeviceOnlineCountIncrement(Integer deviceOnlineCountIncrement){
        this.deviceOnlineCountIncrement = deviceOnlineCountIncrement;
    }

    /**
     * 获取 在线设备数量
     * @return deviceOnlineCountList
     */
    public List<Integer> getDeviceOnlineCountList(){
        return this.deviceOnlineCountList;
    }

    /**
     * 设置 在线设备数量
     * @param deviceOnlineCountList
     */
    public void setDeviceOnlineCountList(List<Integer> deviceOnlineCountList){
        this.deviceOnlineCountList = deviceOnlineCountList;
    }

    /**
     * 获取 开始 在线率
     * @return deviceOnlineRatioStart
     */
    public BigDecimal getDeviceOnlineRatioStart(){
        return this.deviceOnlineRatioStart;
    }

    /**
     * 设置 开始 在线率
     * @param deviceOnlineRatioStart
     */
    public void setDeviceOnlineRatioStart(BigDecimal deviceOnlineRatioStart){
        this.deviceOnlineRatioStart = deviceOnlineRatioStart;
    }

    /**
     * 获取 结束 在线率
     * @return $deviceOnlineRatioEnd
     */
    public BigDecimal getDeviceOnlineRatioEnd(){
        return this.deviceOnlineRatioEnd;
    }

    /**
     * 设置 结束 在线率
     * @param deviceOnlineRatioEnd
     */
    public void setDeviceOnlineRatioEnd(BigDecimal deviceOnlineRatioEnd){
        this.deviceOnlineRatioEnd = deviceOnlineRatioEnd;
    }

    /**
     * 获取 增加 在线率
     * @return deviceOnlineRatioIncrement
     */
    public BigDecimal getDeviceOnlineRatioIncrement(){
        return this.deviceOnlineRatioIncrement;
    }

    /**
     * 设置 增加 在线率
     * @param deviceOnlineRatioIncrement
     */
    public void setDeviceOnlineRatioIncrement(BigDecimal deviceOnlineRatioIncrement){
        this.deviceOnlineRatioIncrement = deviceOnlineRatioIncrement;
    }

    /**
     * 获取 在线率
     * @return deviceOnlineRatioList
     */
    public List<BigDecimal> getDeviceOnlineRatioList(){
        return this.deviceOnlineRatioList;
    }

    /**
     * 设置 在线率
     * @param deviceOnlineRatioList
     */
    public void setDeviceOnlineRatioList(List<BigDecimal> deviceOnlineRatioList){
        this.deviceOnlineRatioList = deviceOnlineRatioList;
    }

    /**
     * 获取 开始 离线设备数量
     * @return deviceOfflineCountStart
     */
    public Integer getDeviceOfflineCountStart(){
        return this.deviceOfflineCountStart;
    }

    /**
     * 设置 开始 离线设备数量
     * @param deviceOfflineCountStart
     */
    public void setDeviceOfflineCountStart(Integer deviceOfflineCountStart){
        this.deviceOfflineCountStart = deviceOfflineCountStart;
    }

    /**
     * 获取 结束 离线设备数量
     * @return $deviceOfflineCountEnd
     */
    public Integer getDeviceOfflineCountEnd(){
        return this.deviceOfflineCountEnd;
    }

    /**
     * 设置 结束 离线设备数量
     * @param deviceOfflineCountEnd
     */
    public void setDeviceOfflineCountEnd(Integer deviceOfflineCountEnd){
        this.deviceOfflineCountEnd = deviceOfflineCountEnd;
    }

    /**
     * 获取 增加 离线设备数量
     * @return deviceOfflineCountIncrement
     */
    public Integer getDeviceOfflineCountIncrement(){
        return this.deviceOfflineCountIncrement;
    }

    /**
     * 设置 增加 离线设备数量
     * @param deviceOfflineCountIncrement
     */
    public void setDeviceOfflineCountIncrement(Integer deviceOfflineCountIncrement){
        this.deviceOfflineCountIncrement = deviceOfflineCountIncrement;
    }

    /**
     * 获取 离线设备数量
     * @return deviceOfflineCountList
     */
    public List<Integer> getDeviceOfflineCountList(){
        return this.deviceOfflineCountList;
    }

    /**
     * 设置 离线设备数量
     * @param deviceOfflineCountList
     */
    public void setDeviceOfflineCountList(List<Integer> deviceOfflineCountList){
        this.deviceOfflineCountList = deviceOfflineCountList;
    }

    /**
     * 获取 开始 离线率
     * @return deviceOfflineRatioStart
     */
    public BigDecimal getDeviceOfflineRatioStart(){
        return this.deviceOfflineRatioStart;
    }

    /**
     * 设置 开始 离线率
     * @param deviceOfflineRatioStart
     */
    public void setDeviceOfflineRatioStart(BigDecimal deviceOfflineRatioStart){
        this.deviceOfflineRatioStart = deviceOfflineRatioStart;
    }

    /**
     * 获取 结束 离线率
     * @return $deviceOfflineRatioEnd
     */
    public BigDecimal getDeviceOfflineRatioEnd(){
        return this.deviceOfflineRatioEnd;
    }

    /**
     * 设置 结束 离线率
     * @param deviceOfflineRatioEnd
     */
    public void setDeviceOfflineRatioEnd(BigDecimal deviceOfflineRatioEnd){
        this.deviceOfflineRatioEnd = deviceOfflineRatioEnd;
    }

    /**
     * 获取 增加 离线率
     * @return deviceOfflineRatioIncrement
     */
    public BigDecimal getDeviceOfflineRatioIncrement(){
        return this.deviceOfflineRatioIncrement;
    }

    /**
     * 设置 增加 离线率
     * @param deviceOfflineRatioIncrement
     */
    public void setDeviceOfflineRatioIncrement(BigDecimal deviceOfflineRatioIncrement){
        this.deviceOfflineRatioIncrement = deviceOfflineRatioIncrement;
    }

    /**
     * 获取 离线率
     * @return deviceOfflineRatioList
     */
    public List<BigDecimal> getDeviceOfflineRatioList(){
        return this.deviceOfflineRatioList;
    }

    /**
     * 设置 离线率
     * @param deviceOfflineRatioList
     */
    public void setDeviceOfflineRatioList(List<BigDecimal> deviceOfflineRatioList){
        this.deviceOfflineRatioList = deviceOfflineRatioList;
    }

    /**
     * 获取 开始 停用设备数量
     * @return deviceStopCountStart
     */
    public Integer getDeviceStopCountStart(){
        return this.deviceStopCountStart;
    }

    /**
     * 设置 开始 停用设备数量
     * @param deviceStopCountStart
     */
    public void setDeviceStopCountStart(Integer deviceStopCountStart){
        this.deviceStopCountStart = deviceStopCountStart;
    }

    /**
     * 获取 结束 停用设备数量
     * @return $deviceStopCountEnd
     */
    public Integer getDeviceStopCountEnd(){
        return this.deviceStopCountEnd;
    }

    /**
     * 设置 结束 停用设备数量
     * @param deviceStopCountEnd
     */
    public void setDeviceStopCountEnd(Integer deviceStopCountEnd){
        this.deviceStopCountEnd = deviceStopCountEnd;
    }

    /**
     * 获取 增加 停用设备数量
     * @return deviceStopCountIncrement
     */
    public Integer getDeviceStopCountIncrement(){
        return this.deviceStopCountIncrement;
    }

    /**
     * 设置 增加 停用设备数量
     * @param deviceStopCountIncrement
     */
    public void setDeviceStopCountIncrement(Integer deviceStopCountIncrement){
        this.deviceStopCountIncrement = deviceStopCountIncrement;
    }

    /**
     * 获取 停用设备数量
     * @return deviceStopCountList
     */
    public List<Integer> getDeviceStopCountList(){
        return this.deviceStopCountList;
    }

    /**
     * 设置 停用设备数量
     * @param deviceStopCountList
     */
    public void setDeviceStopCountList(List<Integer> deviceStopCountList){
        this.deviceStopCountList = deviceStopCountList;
    }

    /**
     * 获取 开始 停用率
     * @return deviceStopRatioStart
     */
    public BigDecimal getDeviceStopRatioStart(){
        return this.deviceStopRatioStart;
    }

    /**
     * 设置 开始 停用率
     * @param deviceStopRatioStart
     */
    public void setDeviceStopRatioStart(BigDecimal deviceStopRatioStart){
        this.deviceStopRatioStart = deviceStopRatioStart;
    }

    /**
     * 获取 结束 停用率
     * @return $deviceStopRatioEnd
     */
    public BigDecimal getDeviceStopRatioEnd(){
        return this.deviceStopRatioEnd;
    }

    /**
     * 设置 结束 停用率
     * @param deviceStopRatioEnd
     */
    public void setDeviceStopRatioEnd(BigDecimal deviceStopRatioEnd){
        this.deviceStopRatioEnd = deviceStopRatioEnd;
    }

    /**
     * 获取 增加 停用率
     * @return deviceStopRatioIncrement
     */
    public BigDecimal getDeviceStopRatioIncrement(){
        return this.deviceStopRatioIncrement;
    }

    /**
     * 设置 增加 停用率
     * @param deviceStopRatioIncrement
     */
    public void setDeviceStopRatioIncrement(BigDecimal deviceStopRatioIncrement){
        this.deviceStopRatioIncrement = deviceStopRatioIncrement;
    }

    /**
     * 获取 停用率
     * @return deviceStopRatioList
     */
    public List<BigDecimal> getDeviceStopRatioList(){
        return this.deviceStopRatioList;
    }

    /**
     * 设置 停用率
     * @param deviceStopRatioList
     */
    public void setDeviceStopRatioList(List<BigDecimal> deviceStopRatioList){
        this.deviceStopRatioList = deviceStopRatioList;
    }

    /**
     * 获取 开始 未激活设备数量
     * @return deviceUnActiveCountStart
     */
    public Integer getDeviceUnActiveCountStart(){
        return this.deviceUnActiveCountStart;
    }

    /**
     * 设置 开始 未激活设备数量
     * @param deviceUnActiveCountStart
     */
    public void setDeviceUnActiveCountStart(Integer deviceUnActiveCountStart){
        this.deviceUnActiveCountStart = deviceUnActiveCountStart;
    }

    /**
     * 获取 结束 未激活设备数量
     * @return $deviceUnActiveCountEnd
     */
    public Integer getDeviceUnActiveCountEnd(){
        return this.deviceUnActiveCountEnd;
    }

    /**
     * 设置 结束 未激活设备数量
     * @param deviceUnActiveCountEnd
     */
    public void setDeviceUnActiveCountEnd(Integer deviceUnActiveCountEnd){
        this.deviceUnActiveCountEnd = deviceUnActiveCountEnd;
    }

    /**
     * 获取 增加 未激活设备数量
     * @return deviceUnActiveCountIncrement
     */
    public Integer getDeviceUnActiveCountIncrement(){
        return this.deviceUnActiveCountIncrement;
    }

    /**
     * 设置 增加 未激活设备数量
     * @param deviceUnActiveCountIncrement
     */
    public void setDeviceUnActiveCountIncrement(Integer deviceUnActiveCountIncrement){
        this.deviceUnActiveCountIncrement = deviceUnActiveCountIncrement;
    }

    /**
     * 获取 未激活设备数量
     * @return deviceUnActiveCountList
     */
    public List<Integer> getDeviceUnActiveCountList(){
        return this.deviceUnActiveCountList;
    }

    /**
     * 设置 未激活设备数量
     * @param deviceUnActiveCountList
     */
    public void setDeviceUnActiveCountList(List<Integer> deviceUnActiveCountList){
        this.deviceUnActiveCountList = deviceUnActiveCountList;
    }

    /**
     * 获取 开始 未激活率
     * @return deviceUnActiveRatioStart
     */
    public BigDecimal getDeviceUnActiveRatioStart(){
        return this.deviceUnActiveRatioStart;
    }

    /**
     * 设置 开始 未激活率
     * @param deviceUnActiveRatioStart
     */
    public void setDeviceUnActiveRatioStart(BigDecimal deviceUnActiveRatioStart){
        this.deviceUnActiveRatioStart = deviceUnActiveRatioStart;
    }

    /**
     * 获取 结束 未激活率
     * @return $deviceUnActiveRatioEnd
     */
    public BigDecimal getDeviceUnActiveRatioEnd(){
        return this.deviceUnActiveRatioEnd;
    }

    /**
     * 设置 结束 未激活率
     * @param deviceUnActiveRatioEnd
     */
    public void setDeviceUnActiveRatioEnd(BigDecimal deviceUnActiveRatioEnd){
        this.deviceUnActiveRatioEnd = deviceUnActiveRatioEnd;
    }

    /**
     * 获取 增加 未激活率
     * @return deviceUnActiveRatioIncrement
     */
    public BigDecimal getDeviceUnActiveRatioIncrement(){
        return this.deviceUnActiveRatioIncrement;
    }

    /**
     * 设置 增加 未激活率
     * @param deviceUnActiveRatioIncrement
     */
    public void setDeviceUnActiveRatioIncrement(BigDecimal deviceUnActiveRatioIncrement){
        this.deviceUnActiveRatioIncrement = deviceUnActiveRatioIncrement;
    }

    /**
     * 获取 未激活率
     * @return deviceUnActiveRatioList
     */
    public List<BigDecimal> getDeviceUnActiveRatioList(){
        return this.deviceUnActiveRatioList;
    }

    /**
     * 设置 未激活率
     * @param deviceUnActiveRatioList
     */
    public void setDeviceUnActiveRatioList(List<BigDecimal> deviceUnActiveRatioList){
        this.deviceUnActiveRatioList = deviceUnActiveRatioList;
    }

    /**
     * 获取 开始 今日告警数量
     * @return alarmTotalCountStart
     */
    public Integer getAlarmTotalCountStart(){
        return this.alarmTotalCountStart;
    }

    /**
     * 设置 开始 今日告警数量
     * @param alarmTotalCountStart
     */
    public void setAlarmTotalCountStart(Integer alarmTotalCountStart){
        this.alarmTotalCountStart = alarmTotalCountStart;
    }

    /**
     * 获取 结束 今日告警数量
     * @return $alarmTotalCountEnd
     */
    public Integer getAlarmTotalCountEnd(){
        return this.alarmTotalCountEnd;
    }

    /**
     * 设置 结束 今日告警数量
     * @param alarmTotalCountEnd
     */
    public void setAlarmTotalCountEnd(Integer alarmTotalCountEnd){
        this.alarmTotalCountEnd = alarmTotalCountEnd;
    }

    /**
     * 获取 增加 今日告警数量
     * @return alarmTotalCountIncrement
     */
    public Integer getAlarmTotalCountIncrement(){
        return this.alarmTotalCountIncrement;
    }

    /**
     * 设置 增加 今日告警数量
     * @param alarmTotalCountIncrement
     */
    public void setAlarmTotalCountIncrement(Integer alarmTotalCountIncrement){
        this.alarmTotalCountIncrement = alarmTotalCountIncrement;
    }

    /**
     * 获取 今日告警数量
     * @return alarmTotalCountList
     */
    public List<Integer> getAlarmTotalCountList(){
        return this.alarmTotalCountList;
    }

    /**
     * 设置 今日告警数量
     * @param alarmTotalCountList
     */
    public void setAlarmTotalCountList(List<Integer> alarmTotalCountList){
        this.alarmTotalCountList = alarmTotalCountList;
    }

    /**
     * 获取 开始 昨日新增减少数量
     * @return alarmAddCountStart
     */
    public Integer getAlarmAddCountStart(){
        return this.alarmAddCountStart;
    }

    /**
     * 设置 开始 昨日新增减少数量
     * @param alarmAddCountStart
     */
    public void setAlarmAddCountStart(Integer alarmAddCountStart){
        this.alarmAddCountStart = alarmAddCountStart;
    }

    /**
     * 获取 结束 昨日新增减少数量
     * @return $alarmAddCountEnd
     */
    public Integer getAlarmAddCountEnd(){
        return this.alarmAddCountEnd;
    }

    /**
     * 设置 结束 昨日新增减少数量
     * @param alarmAddCountEnd
     */
    public void setAlarmAddCountEnd(Integer alarmAddCountEnd){
        this.alarmAddCountEnd = alarmAddCountEnd;
    }

    /**
     * 获取 增加 昨日新增减少数量
     * @return alarmAddCountIncrement
     */
    public Integer getAlarmAddCountIncrement(){
        return this.alarmAddCountIncrement;
    }

    /**
     * 设置 增加 昨日新增减少数量
     * @param alarmAddCountIncrement
     */
    public void setAlarmAddCountIncrement(Integer alarmAddCountIncrement){
        this.alarmAddCountIncrement = alarmAddCountIncrement;
    }

    /**
     * 获取 昨日新增减少数量
     * @return alarmAddCountList
     */
    public List<Integer> getAlarmAddCountList(){
        return this.alarmAddCountList;
    }

    /**
     * 设置 昨日新增减少数量
     * @param alarmAddCountList
     */
    public void setAlarmAddCountList(List<Integer> alarmAddCountList){
        this.alarmAddCountList = alarmAddCountList;
    }

    /**
     * 获取 开始 今日消息推送数量
     * @return pushTotalCountStart
     */
    public Integer getPushTotalCountStart(){
        return this.pushTotalCountStart;
    }

    /**
     * 设置 开始 今日消息推送数量
     * @param pushTotalCountStart
     */
    public void setPushTotalCountStart(Integer pushTotalCountStart){
        this.pushTotalCountStart = pushTotalCountStart;
    }

    /**
     * 获取 结束 今日消息推送数量
     * @return $pushTotalCountEnd
     */
    public Integer getPushTotalCountEnd(){
        return this.pushTotalCountEnd;
    }

    /**
     * 设置 结束 今日消息推送数量
     * @param pushTotalCountEnd
     */
    public void setPushTotalCountEnd(Integer pushTotalCountEnd){
        this.pushTotalCountEnd = pushTotalCountEnd;
    }

    /**
     * 获取 增加 今日消息推送数量
     * @return pushTotalCountIncrement
     */
    public Integer getPushTotalCountIncrement(){
        return this.pushTotalCountIncrement;
    }

    /**
     * 设置 增加 今日消息推送数量
     * @param pushTotalCountIncrement
     */
    public void setPushTotalCountIncrement(Integer pushTotalCountIncrement){
        this.pushTotalCountIncrement = pushTotalCountIncrement;
    }

    /**
     * 获取 今日消息推送数量
     * @return pushTotalCountList
     */
    public List<Integer> getPushTotalCountList(){
        return this.pushTotalCountList;
    }

    /**
     * 设置 今日消息推送数量
     * @param pushTotalCountList
     */
    public void setPushTotalCountList(List<Integer> pushTotalCountList){
        this.pushTotalCountList = pushTotalCountList;
    }

    /**
     * 获取 开始 昨日新增减少数量
     * @return pushAddCountStart
     */
    public Integer getPushAddCountStart(){
        return this.pushAddCountStart;
    }

    /**
     * 设置 开始 昨日新增减少数量
     * @param pushAddCountStart
     */
    public void setPushAddCountStart(Integer pushAddCountStart){
        this.pushAddCountStart = pushAddCountStart;
    }

    /**
     * 获取 结束 昨日新增减少数量
     * @return $pushAddCountEnd
     */
    public Integer getPushAddCountEnd(){
        return this.pushAddCountEnd;
    }

    /**
     * 设置 结束 昨日新增减少数量
     * @param pushAddCountEnd
     */
    public void setPushAddCountEnd(Integer pushAddCountEnd){
        this.pushAddCountEnd = pushAddCountEnd;
    }

    /**
     * 获取 增加 昨日新增减少数量
     * @return pushAddCountIncrement
     */
    public Integer getPushAddCountIncrement(){
        return this.pushAddCountIncrement;
    }

    /**
     * 设置 增加 昨日新增减少数量
     * @param pushAddCountIncrement
     */
    public void setPushAddCountIncrement(Integer pushAddCountIncrement){
        this.pushAddCountIncrement = pushAddCountIncrement;
    }

    /**
     * 获取 昨日新增减少数量
     * @return pushAddCountList
     */
    public List<Integer> getPushAddCountList(){
        return this.pushAddCountList;
    }

    /**
     * 设置 昨日新增减少数量
     * @param pushAddCountList
     */
    public void setPushAddCountList(List<Integer> pushAddCountList){
        this.pushAddCountList = pushAddCountList;
    }

    /**
     * 获取 开始 今日上行消息数量
     * @return uploadMessageTotalCountStart
     */
    public Integer getUploadMessageTotalCountStart(){
        return this.uploadMessageTotalCountStart;
    }

    /**
     * 设置 开始 今日上行消息数量
     * @param uploadMessageTotalCountStart
     */
    public void setUploadMessageTotalCountStart(Integer uploadMessageTotalCountStart){
        this.uploadMessageTotalCountStart = uploadMessageTotalCountStart;
    }

    /**
     * 获取 结束 今日上行消息数量
     * @return $uploadMessageTotalCountEnd
     */
    public Integer getUploadMessageTotalCountEnd(){
        return this.uploadMessageTotalCountEnd;
    }

    /**
     * 设置 结束 今日上行消息数量
     * @param uploadMessageTotalCountEnd
     */
    public void setUploadMessageTotalCountEnd(Integer uploadMessageTotalCountEnd){
        this.uploadMessageTotalCountEnd = uploadMessageTotalCountEnd;
    }

    /**
     * 获取 增加 今日上行消息数量
     * @return uploadMessageTotalCountIncrement
     */
    public Integer getUploadMessageTotalCountIncrement(){
        return this.uploadMessageTotalCountIncrement;
    }

    /**
     * 设置 增加 今日上行消息数量
     * @param uploadMessageTotalCountIncrement
     */
    public void setUploadMessageTotalCountIncrement(Integer uploadMessageTotalCountIncrement){
        this.uploadMessageTotalCountIncrement = uploadMessageTotalCountIncrement;
    }

    /**
     * 获取 今日上行消息数量
     * @return uploadMessageTotalCountList
     */
    public List<Integer> getUploadMessageTotalCountList(){
        return this.uploadMessageTotalCountList;
    }

    /**
     * 设置 今日上行消息数量
     * @param uploadMessageTotalCountList
     */
    public void setUploadMessageTotalCountList(List<Integer> uploadMessageTotalCountList){
        this.uploadMessageTotalCountList = uploadMessageTotalCountList;
    }

    /**
     * 获取 开始 今日下行消息数量
     * @return downloadMessageTotalCountStart
     */
    public Integer getDownloadMessageTotalCountStart(){
        return this.downloadMessageTotalCountStart;
    }

    /**
     * 设置 开始 今日下行消息数量
     * @param downloadMessageTotalCountStart
     */
    public void setDownloadMessageTotalCountStart(Integer downloadMessageTotalCountStart){
        this.downloadMessageTotalCountStart = downloadMessageTotalCountStart;
    }

    /**
     * 获取 结束 今日下行消息数量
     * @return $downloadMessageTotalCountEnd
     */
    public Integer getDownloadMessageTotalCountEnd(){
        return this.downloadMessageTotalCountEnd;
    }

    /**
     * 设置 结束 今日下行消息数量
     * @param downloadMessageTotalCountEnd
     */
    public void setDownloadMessageTotalCountEnd(Integer downloadMessageTotalCountEnd){
        this.downloadMessageTotalCountEnd = downloadMessageTotalCountEnd;
    }

    /**
     * 获取 增加 今日下行消息数量
     * @return downloadMessageTotalCountIncrement
     */
    public Integer getDownloadMessageTotalCountIncrement(){
        return this.downloadMessageTotalCountIncrement;
    }

    /**
     * 设置 增加 今日下行消息数量
     * @param downloadMessageTotalCountIncrement
     */
    public void setDownloadMessageTotalCountIncrement(Integer downloadMessageTotalCountIncrement){
        this.downloadMessageTotalCountIncrement = downloadMessageTotalCountIncrement;
    }

    /**
     * 获取 今日下行消息数量
     * @return downloadMessageTotalCountList
     */
    public List<Integer> getDownloadMessageTotalCountList(){
        return this.downloadMessageTotalCountList;
    }

    /**
     * 设置 今日下行消息数量
     * @param downloadMessageTotalCountList
     */
    public void setDownloadMessageTotalCountList(List<Integer> downloadMessageTotalCountList){
        this.downloadMessageTotalCountList = downloadMessageTotalCountList;
    }

    /**
     * 获取 开始 年
     * @return yearStart
     */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
     * 设置 开始 年
     * @param yearStart
     */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
     * 获取 结束 年
     * @return $yearEnd
     */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
     * 设置 结束 年
     * @param yearEnd
     */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
     * 获取 增加 年
     * @return yearIncrement
     */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
     * 设置 增加 年
     * @param yearIncrement
     */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
     * 获取 年
     * @return yearList
     */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
     * 设置 年
     * @param yearList
     */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
     * 获取 开始 月
     * @return monthStart
     */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
     * 设置 开始 月
     * @param monthStart
     */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
     * 获取 结束 月
     * @return $monthEnd
     */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
     * 设置 结束 月
     * @param monthEnd
     */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
     * 获取 增加 月
     * @return monthIncrement
     */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
     * 设置 增加 月
     * @param monthIncrement
     */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
     * 获取 月
     * @return monthList
     */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
     * 设置 月
     * @param monthList
     */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
     * 获取 开始 日
     * @return dayStart
     */
    public Integer getDayStart(){
        return this.dayStart;
    }

    /**
     * 设置 开始 日
     * @param dayStart
     */
    public void setDayStart(Integer dayStart){
        this.dayStart = dayStart;
    }

    /**
     * 获取 结束 日
     * @return $dayEnd
     */
    public Integer getDayEnd(){
        return this.dayEnd;
    }

    /**
     * 设置 结束 日
     * @param dayEnd
     */
    public void setDayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
    }

    /**
     * 获取 增加 日
     * @return dayIncrement
     */
    public Integer getDayIncrement(){
        return this.dayIncrement;
    }

    /**
     * 设置 增加 日
     * @param dayIncrement
     */
    public void setDayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
    }

    /**
     * 获取 日
     * @return dayList
     */
    public List<Integer> getDayList(){
        return this.dayList;
    }

    /**
     * 设置 日
     * @param dayList
     */
    public void setDayList(List<Integer> dayList){
        this.dayList = dayList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  ID
     * @param id
     */
    public DeviceStatQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 ID
     * @param idStart
     */
    public DeviceStatQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 ID
     * @param idEnd
     */
    public DeviceStatQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 ID
     * @param idIncrement
     */
    public DeviceStatQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 ID
     * @param idList
     */
    public DeviceStatQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  站点Id，来源基础服务平台
     * @param siteId
     */
    public DeviceStatQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id，来源基础服务平台
     * @param siteIdStart
     */
    public DeviceStatQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id，来源基础服务平台
     * @param siteIdEnd
     */
    public DeviceStatQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id，来源基础服务平台
     * @param siteIdIncrement
     */
    public DeviceStatQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteIdList
     */
    public DeviceStatQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置  设备总数
     * @param deviceTotalCount
     */
    public DeviceStatQuery deviceTotalCount(Integer deviceTotalCount){
        setDeviceTotalCount(deviceTotalCount);
        return this;
    }

    /**
     * 设置 开始 设备总数
     * @param deviceTotalCountStart
     */
    public DeviceStatQuery deviceTotalCountStart(Integer deviceTotalCountStart){
        this.deviceTotalCountStart = deviceTotalCountStart;
        return this;
    }

    /**
     * 设置 结束 设备总数
     * @param deviceTotalCountEnd
     */
    public DeviceStatQuery deviceTotalCountEnd(Integer deviceTotalCountEnd){
        this.deviceTotalCountEnd = deviceTotalCountEnd;
        return this;
    }

    /**
     * 设置 增加 设备总数
     * @param deviceTotalCountIncrement
     */
    public DeviceStatQuery deviceTotalCountIncrement(Integer deviceTotalCountIncrement){
        this.deviceTotalCountIncrement = deviceTotalCountIncrement;
        return this;
    }

    /**
     * 设置 设备总数
     * @param deviceTotalCountList
     */
    public DeviceStatQuery deviceTotalCountList(List<Integer> deviceTotalCountList){
        this.deviceTotalCountList = deviceTotalCountList;
        return this;
    }

    /**
     * 设置  昨日新增减少设备数量
     * @param deviceAddCount
     */
    public DeviceStatQuery deviceAddCount(Integer deviceAddCount){
        setDeviceAddCount(deviceAddCount);
        return this;
    }

    /**
     * 设置 开始 昨日新增减少设备数量
     * @param deviceAddCountStart
     */
    public DeviceStatQuery deviceAddCountStart(Integer deviceAddCountStart){
        this.deviceAddCountStart = deviceAddCountStart;
        return this;
    }

    /**
     * 设置 结束 昨日新增减少设备数量
     * @param deviceAddCountEnd
     */
    public DeviceStatQuery deviceAddCountEnd(Integer deviceAddCountEnd){
        this.deviceAddCountEnd = deviceAddCountEnd;
        return this;
    }

    /**
     * 设置 增加 昨日新增减少设备数量
     * @param deviceAddCountIncrement
     */
    public DeviceStatQuery deviceAddCountIncrement(Integer deviceAddCountIncrement){
        this.deviceAddCountIncrement = deviceAddCountIncrement;
        return this;
    }

    /**
     * 设置 昨日新增减少设备数量
     * @param deviceAddCountList
     */
    public DeviceStatQuery deviceAddCountList(List<Integer> deviceAddCountList){
        this.deviceAddCountList = deviceAddCountList;
        return this;
    }

    /**
     * 设置  监控站点数量
     * @param siteTotalCount
     */
    public DeviceStatQuery siteTotalCount(Integer siteTotalCount){
        setSiteTotalCount(siteTotalCount);
        return this;
    }

    /**
     * 设置 开始 监控站点数量
     * @param siteTotalCountStart
     */
    public DeviceStatQuery siteTotalCountStart(Integer siteTotalCountStart){
        this.siteTotalCountStart = siteTotalCountStart;
        return this;
    }

    /**
     * 设置 结束 监控站点数量
     * @param siteTotalCountEnd
     */
    public DeviceStatQuery siteTotalCountEnd(Integer siteTotalCountEnd){
        this.siteTotalCountEnd = siteTotalCountEnd;
        return this;
    }

    /**
     * 设置 增加 监控站点数量
     * @param siteTotalCountIncrement
     */
    public DeviceStatQuery siteTotalCountIncrement(Integer siteTotalCountIncrement){
        this.siteTotalCountIncrement = siteTotalCountIncrement;
        return this;
    }

    /**
     * 设置 监控站点数量
     * @param siteTotalCountList
     */
    public DeviceStatQuery siteTotalCountList(List<Integer> siteTotalCountList){
        this.siteTotalCountList = siteTotalCountList;
        return this;
    }

    /**
     * 设置  昨日新增站点数量
     * @param siteAddCount
     */
    public DeviceStatQuery siteAddCount(Integer siteAddCount){
        setSiteAddCount(siteAddCount);
        return this;
    }

    /**
     * 设置 开始 昨日新增站点数量
     * @param siteAddCountStart
     */
    public DeviceStatQuery siteAddCountStart(Integer siteAddCountStart){
        this.siteAddCountStart = siteAddCountStart;
        return this;
    }

    /**
     * 设置 结束 昨日新增站点数量
     * @param siteAddCountEnd
     */
    public DeviceStatQuery siteAddCountEnd(Integer siteAddCountEnd){
        this.siteAddCountEnd = siteAddCountEnd;
        return this;
    }

    /**
     * 设置 增加 昨日新增站点数量
     * @param siteAddCountIncrement
     */
    public DeviceStatQuery siteAddCountIncrement(Integer siteAddCountIncrement){
        this.siteAddCountIncrement = siteAddCountIncrement;
        return this;
    }

    /**
     * 设置 昨日新增站点数量
     * @param siteAddCountList
     */
    public DeviceStatQuery siteAddCountList(List<Integer> siteAddCountList){
        this.siteAddCountList = siteAddCountList;
        return this;
    }

    /**
     * 设置  在线设备数量
     * @param deviceOnlineCount
     */
    public DeviceStatQuery deviceOnlineCount(Integer deviceOnlineCount){
        setDeviceOnlineCount(deviceOnlineCount);
        return this;
    }

    /**
     * 设置 开始 在线设备数量
     * @param deviceOnlineCountStart
     */
    public DeviceStatQuery deviceOnlineCountStart(Integer deviceOnlineCountStart){
        this.deviceOnlineCountStart = deviceOnlineCountStart;
        return this;
    }

    /**
     * 设置 结束 在线设备数量
     * @param deviceOnlineCountEnd
     */
    public DeviceStatQuery deviceOnlineCountEnd(Integer deviceOnlineCountEnd){
        this.deviceOnlineCountEnd = deviceOnlineCountEnd;
        return this;
    }

    /**
     * 设置 增加 在线设备数量
     * @param deviceOnlineCountIncrement
     */
    public DeviceStatQuery deviceOnlineCountIncrement(Integer deviceOnlineCountIncrement){
        this.deviceOnlineCountIncrement = deviceOnlineCountIncrement;
        return this;
    }

    /**
     * 设置 在线设备数量
     * @param deviceOnlineCountList
     */
    public DeviceStatQuery deviceOnlineCountList(List<Integer> deviceOnlineCountList){
        this.deviceOnlineCountList = deviceOnlineCountList;
        return this;
    }

    /**
     * 设置  在线率
     * @param deviceOnlineRatio
     */
    public DeviceStatQuery deviceOnlineRatio(BigDecimal deviceOnlineRatio){
        setDeviceOnlineRatio(deviceOnlineRatio);
        return this;
    }

    /**
     * 设置 开始 在线率
     * @param deviceOnlineRatioStart
     */
    public DeviceStatQuery deviceOnlineRatioStart(BigDecimal deviceOnlineRatioStart){
        this.deviceOnlineRatioStart = deviceOnlineRatioStart;
        return this;
    }

    /**
     * 设置 结束 在线率
     * @param deviceOnlineRatioEnd
     */
    public DeviceStatQuery deviceOnlineRatioEnd(BigDecimal deviceOnlineRatioEnd){
        this.deviceOnlineRatioEnd = deviceOnlineRatioEnd;
        return this;
    }

    /**
     * 设置 增加 在线率
     * @param deviceOnlineRatioIncrement
     */
    public DeviceStatQuery deviceOnlineRatioIncrement(BigDecimal deviceOnlineRatioIncrement){
        this.deviceOnlineRatioIncrement = deviceOnlineRatioIncrement;
        return this;
    }

    /**
     * 设置 在线率
     * @param deviceOnlineRatioList
     */
    public DeviceStatQuery deviceOnlineRatioList(List<BigDecimal> deviceOnlineRatioList){
        this.deviceOnlineRatioList = deviceOnlineRatioList;
        return this;
    }

    /**
     * 设置  离线设备数量
     * @param deviceOfflineCount
     */
    public DeviceStatQuery deviceOfflineCount(Integer deviceOfflineCount){
        setDeviceOfflineCount(deviceOfflineCount);
        return this;
    }

    /**
     * 设置 开始 离线设备数量
     * @param deviceOfflineCountStart
     */
    public DeviceStatQuery deviceOfflineCountStart(Integer deviceOfflineCountStart){
        this.deviceOfflineCountStart = deviceOfflineCountStart;
        return this;
    }

    /**
     * 设置 结束 离线设备数量
     * @param deviceOfflineCountEnd
     */
    public DeviceStatQuery deviceOfflineCountEnd(Integer deviceOfflineCountEnd){
        this.deviceOfflineCountEnd = deviceOfflineCountEnd;
        return this;
    }

    /**
     * 设置 增加 离线设备数量
     * @param deviceOfflineCountIncrement
     */
    public DeviceStatQuery deviceOfflineCountIncrement(Integer deviceOfflineCountIncrement){
        this.deviceOfflineCountIncrement = deviceOfflineCountIncrement;
        return this;
    }

    /**
     * 设置 离线设备数量
     * @param deviceOfflineCountList
     */
    public DeviceStatQuery deviceOfflineCountList(List<Integer> deviceOfflineCountList){
        this.deviceOfflineCountList = deviceOfflineCountList;
        return this;
    }

    /**
     * 设置  离线率
     * @param deviceOfflineRatio
     */
    public DeviceStatQuery deviceOfflineRatio(BigDecimal deviceOfflineRatio){
        setDeviceOfflineRatio(deviceOfflineRatio);
        return this;
    }

    /**
     * 设置 开始 离线率
     * @param deviceOfflineRatioStart
     */
    public DeviceStatQuery deviceOfflineRatioStart(BigDecimal deviceOfflineRatioStart){
        this.deviceOfflineRatioStart = deviceOfflineRatioStart;
        return this;
    }

    /**
     * 设置 结束 离线率
     * @param deviceOfflineRatioEnd
     */
    public DeviceStatQuery deviceOfflineRatioEnd(BigDecimal deviceOfflineRatioEnd){
        this.deviceOfflineRatioEnd = deviceOfflineRatioEnd;
        return this;
    }

    /**
     * 设置 增加 离线率
     * @param deviceOfflineRatioIncrement
     */
    public DeviceStatQuery deviceOfflineRatioIncrement(BigDecimal deviceOfflineRatioIncrement){
        this.deviceOfflineRatioIncrement = deviceOfflineRatioIncrement;
        return this;
    }

    /**
     * 设置 离线率
     * @param deviceOfflineRatioList
     */
    public DeviceStatQuery deviceOfflineRatioList(List<BigDecimal> deviceOfflineRatioList){
        this.deviceOfflineRatioList = deviceOfflineRatioList;
        return this;
    }

    /**
     * 设置  停用设备数量
     * @param deviceStopCount
     */
    public DeviceStatQuery deviceStopCount(Integer deviceStopCount){
        setDeviceStopCount(deviceStopCount);
        return this;
    }

    /**
     * 设置 开始 停用设备数量
     * @param deviceStopCountStart
     */
    public DeviceStatQuery deviceStopCountStart(Integer deviceStopCountStart){
        this.deviceStopCountStart = deviceStopCountStart;
        return this;
    }

    /**
     * 设置 结束 停用设备数量
     * @param deviceStopCountEnd
     */
    public DeviceStatQuery deviceStopCountEnd(Integer deviceStopCountEnd){
        this.deviceStopCountEnd = deviceStopCountEnd;
        return this;
    }

    /**
     * 设置 增加 停用设备数量
     * @param deviceStopCountIncrement
     */
    public DeviceStatQuery deviceStopCountIncrement(Integer deviceStopCountIncrement){
        this.deviceStopCountIncrement = deviceStopCountIncrement;
        return this;
    }

    /**
     * 设置 停用设备数量
     * @param deviceStopCountList
     */
    public DeviceStatQuery deviceStopCountList(List<Integer> deviceStopCountList){
        this.deviceStopCountList = deviceStopCountList;
        return this;
    }

    /**
     * 设置  停用率
     * @param deviceStopRatio
     */
    public DeviceStatQuery deviceStopRatio(BigDecimal deviceStopRatio){
        setDeviceStopRatio(deviceStopRatio);
        return this;
    }

    /**
     * 设置 开始 停用率
     * @param deviceStopRatioStart
     */
    public DeviceStatQuery deviceStopRatioStart(BigDecimal deviceStopRatioStart){
        this.deviceStopRatioStart = deviceStopRatioStart;
        return this;
    }

    /**
     * 设置 结束 停用率
     * @param deviceStopRatioEnd
     */
    public DeviceStatQuery deviceStopRatioEnd(BigDecimal deviceStopRatioEnd){
        this.deviceStopRatioEnd = deviceStopRatioEnd;
        return this;
    }

    /**
     * 设置 增加 停用率
     * @param deviceStopRatioIncrement
     */
    public DeviceStatQuery deviceStopRatioIncrement(BigDecimal deviceStopRatioIncrement){
        this.deviceStopRatioIncrement = deviceStopRatioIncrement;
        return this;
    }

    /**
     * 设置 停用率
     * @param deviceStopRatioList
     */
    public DeviceStatQuery deviceStopRatioList(List<BigDecimal> deviceStopRatioList){
        this.deviceStopRatioList = deviceStopRatioList;
        return this;
    }

    /**
     * 设置  未激活设备数量
     * @param deviceUnActiveCount
     */
    public DeviceStatQuery deviceUnActiveCount(Integer deviceUnActiveCount){
        setDeviceUnActiveCount(deviceUnActiveCount);
        return this;
    }

    /**
     * 设置 开始 未激活设备数量
     * @param deviceUnActiveCountStart
     */
    public DeviceStatQuery deviceUnActiveCountStart(Integer deviceUnActiveCountStart){
        this.deviceUnActiveCountStart = deviceUnActiveCountStart;
        return this;
    }

    /**
     * 设置 结束 未激活设备数量
     * @param deviceUnActiveCountEnd
     */
    public DeviceStatQuery deviceUnActiveCountEnd(Integer deviceUnActiveCountEnd){
        this.deviceUnActiveCountEnd = deviceUnActiveCountEnd;
        return this;
    }

    /**
     * 设置 增加 未激活设备数量
     * @param deviceUnActiveCountIncrement
     */
    public DeviceStatQuery deviceUnActiveCountIncrement(Integer deviceUnActiveCountIncrement){
        this.deviceUnActiveCountIncrement = deviceUnActiveCountIncrement;
        return this;
    }

    /**
     * 设置 未激活设备数量
     * @param deviceUnActiveCountList
     */
    public DeviceStatQuery deviceUnActiveCountList(List<Integer> deviceUnActiveCountList){
        this.deviceUnActiveCountList = deviceUnActiveCountList;
        return this;
    }

    /**
     * 设置  未激活率
     * @param deviceUnActiveRatio
     */
    public DeviceStatQuery deviceUnActiveRatio(BigDecimal deviceUnActiveRatio){
        setDeviceUnActiveRatio(deviceUnActiveRatio);
        return this;
    }

    /**
     * 设置 开始 未激活率
     * @param deviceUnActiveRatioStart
     */
    public DeviceStatQuery deviceUnActiveRatioStart(BigDecimal deviceUnActiveRatioStart){
        this.deviceUnActiveRatioStart = deviceUnActiveRatioStart;
        return this;
    }

    /**
     * 设置 结束 未激活率
     * @param deviceUnActiveRatioEnd
     */
    public DeviceStatQuery deviceUnActiveRatioEnd(BigDecimal deviceUnActiveRatioEnd){
        this.deviceUnActiveRatioEnd = deviceUnActiveRatioEnd;
        return this;
    }

    /**
     * 设置 增加 未激活率
     * @param deviceUnActiveRatioIncrement
     */
    public DeviceStatQuery deviceUnActiveRatioIncrement(BigDecimal deviceUnActiveRatioIncrement){
        this.deviceUnActiveRatioIncrement = deviceUnActiveRatioIncrement;
        return this;
    }

    /**
     * 设置 未激活率
     * @param deviceUnActiveRatioList
     */
    public DeviceStatQuery deviceUnActiveRatioList(List<BigDecimal> deviceUnActiveRatioList){
        this.deviceUnActiveRatioList = deviceUnActiveRatioList;
        return this;
    }

    /**
     * 设置  今日告警数量
     * @param alarmTotalCount
     */
    public DeviceStatQuery alarmTotalCount(Integer alarmTotalCount){
        setAlarmTotalCount(alarmTotalCount);
        return this;
    }

    /**
     * 设置 开始 今日告警数量
     * @param alarmTotalCountStart
     */
    public DeviceStatQuery alarmTotalCountStart(Integer alarmTotalCountStart){
        this.alarmTotalCountStart = alarmTotalCountStart;
        return this;
    }

    /**
     * 设置 结束 今日告警数量
     * @param alarmTotalCountEnd
     */
    public DeviceStatQuery alarmTotalCountEnd(Integer alarmTotalCountEnd){
        this.alarmTotalCountEnd = alarmTotalCountEnd;
        return this;
    }

    /**
     * 设置 增加 今日告警数量
     * @param alarmTotalCountIncrement
     */
    public DeviceStatQuery alarmTotalCountIncrement(Integer alarmTotalCountIncrement){
        this.alarmTotalCountIncrement = alarmTotalCountIncrement;
        return this;
    }

    /**
     * 设置 今日告警数量
     * @param alarmTotalCountList
     */
    public DeviceStatQuery alarmTotalCountList(List<Integer> alarmTotalCountList){
        this.alarmTotalCountList = alarmTotalCountList;
        return this;
    }

    /**
     * 设置  昨日新增减少数量
     * @param alarmAddCount
     */
    public DeviceStatQuery alarmAddCount(Integer alarmAddCount){
        setAlarmAddCount(alarmAddCount);
        return this;
    }

    /**
     * 设置 开始 昨日新增减少数量
     * @param alarmAddCountStart
     */
    public DeviceStatQuery alarmAddCountStart(Integer alarmAddCountStart){
        this.alarmAddCountStart = alarmAddCountStart;
        return this;
    }

    /**
     * 设置 结束 昨日新增减少数量
     * @param alarmAddCountEnd
     */
    public DeviceStatQuery alarmAddCountEnd(Integer alarmAddCountEnd){
        this.alarmAddCountEnd = alarmAddCountEnd;
        return this;
    }

    /**
     * 设置 增加 昨日新增减少数量
     * @param alarmAddCountIncrement
     */
    public DeviceStatQuery alarmAddCountIncrement(Integer alarmAddCountIncrement){
        this.alarmAddCountIncrement = alarmAddCountIncrement;
        return this;
    }

    /**
     * 设置 昨日新增减少数量
     * @param alarmAddCountList
     */
    public DeviceStatQuery alarmAddCountList(List<Integer> alarmAddCountList){
        this.alarmAddCountList = alarmAddCountList;
        return this;
    }

    /**
     * 设置  今日消息推送数量
     * @param pushTotalCount
     */
    public DeviceStatQuery pushTotalCount(Integer pushTotalCount){
        setPushTotalCount(pushTotalCount);
        return this;
    }

    /**
     * 设置 开始 今日消息推送数量
     * @param pushTotalCountStart
     */
    public DeviceStatQuery pushTotalCountStart(Integer pushTotalCountStart){
        this.pushTotalCountStart = pushTotalCountStart;
        return this;
    }

    /**
     * 设置 结束 今日消息推送数量
     * @param pushTotalCountEnd
     */
    public DeviceStatQuery pushTotalCountEnd(Integer pushTotalCountEnd){
        this.pushTotalCountEnd = pushTotalCountEnd;
        return this;
    }

    /**
     * 设置 增加 今日消息推送数量
     * @param pushTotalCountIncrement
     */
    public DeviceStatQuery pushTotalCountIncrement(Integer pushTotalCountIncrement){
        this.pushTotalCountIncrement = pushTotalCountIncrement;
        return this;
    }

    /**
     * 设置 今日消息推送数量
     * @param pushTotalCountList
     */
    public DeviceStatQuery pushTotalCountList(List<Integer> pushTotalCountList){
        this.pushTotalCountList = pushTotalCountList;
        return this;
    }

    /**
     * 设置  昨日新增减少数量
     * @param pushAddCount
     */
    public DeviceStatQuery pushAddCount(Integer pushAddCount){
        setPushAddCount(pushAddCount);
        return this;
    }

    /**
     * 设置 开始 昨日新增减少数量
     * @param pushAddCountStart
     */
    public DeviceStatQuery pushAddCountStart(Integer pushAddCountStart){
        this.pushAddCountStart = pushAddCountStart;
        return this;
    }

    /**
     * 设置 结束 昨日新增减少数量
     * @param pushAddCountEnd
     */
    public DeviceStatQuery pushAddCountEnd(Integer pushAddCountEnd){
        this.pushAddCountEnd = pushAddCountEnd;
        return this;
    }

    /**
     * 设置 增加 昨日新增减少数量
     * @param pushAddCountIncrement
     */
    public DeviceStatQuery pushAddCountIncrement(Integer pushAddCountIncrement){
        this.pushAddCountIncrement = pushAddCountIncrement;
        return this;
    }

    /**
     * 设置 昨日新增减少数量
     * @param pushAddCountList
     */
    public DeviceStatQuery pushAddCountList(List<Integer> pushAddCountList){
        this.pushAddCountList = pushAddCountList;
        return this;
    }

    /**
     * 设置  今日上行消息数量
     * @param uploadMessageTotalCount
     */
    public DeviceStatQuery uploadMessageTotalCount(Integer uploadMessageTotalCount){
        setUploadMessageTotalCount(uploadMessageTotalCount);
        return this;
    }

    /**
     * 设置 开始 今日上行消息数量
     * @param uploadMessageTotalCountStart
     */
    public DeviceStatQuery uploadMessageTotalCountStart(Integer uploadMessageTotalCountStart){
        this.uploadMessageTotalCountStart = uploadMessageTotalCountStart;
        return this;
    }

    /**
     * 设置 结束 今日上行消息数量
     * @param uploadMessageTotalCountEnd
     */
    public DeviceStatQuery uploadMessageTotalCountEnd(Integer uploadMessageTotalCountEnd){
        this.uploadMessageTotalCountEnd = uploadMessageTotalCountEnd;
        return this;
    }

    /**
     * 设置 增加 今日上行消息数量
     * @param uploadMessageTotalCountIncrement
     */
    public DeviceStatQuery uploadMessageTotalCountIncrement(Integer uploadMessageTotalCountIncrement){
        this.uploadMessageTotalCountIncrement = uploadMessageTotalCountIncrement;
        return this;
    }

    /**
     * 设置 今日上行消息数量
     * @param uploadMessageTotalCountList
     */
    public DeviceStatQuery uploadMessageTotalCountList(List<Integer> uploadMessageTotalCountList){
        this.uploadMessageTotalCountList = uploadMessageTotalCountList;
        return this;
    }

    /**
     * 设置  今日下行消息数量
     * @param downloadMessageTotalCount
     */
    public DeviceStatQuery downloadMessageTotalCount(Integer downloadMessageTotalCount){
        setDownloadMessageTotalCount(downloadMessageTotalCount);
        return this;
    }

    /**
     * 设置 开始 今日下行消息数量
     * @param downloadMessageTotalCountStart
     */
    public DeviceStatQuery downloadMessageTotalCountStart(Integer downloadMessageTotalCountStart){
        this.downloadMessageTotalCountStart = downloadMessageTotalCountStart;
        return this;
    }

    /**
     * 设置 结束 今日下行消息数量
     * @param downloadMessageTotalCountEnd
     */
    public DeviceStatQuery downloadMessageTotalCountEnd(Integer downloadMessageTotalCountEnd){
        this.downloadMessageTotalCountEnd = downloadMessageTotalCountEnd;
        return this;
    }

    /**
     * 设置 增加 今日下行消息数量
     * @param downloadMessageTotalCountIncrement
     */
    public DeviceStatQuery downloadMessageTotalCountIncrement(Integer downloadMessageTotalCountIncrement){
        this.downloadMessageTotalCountIncrement = downloadMessageTotalCountIncrement;
        return this;
    }

    /**
     * 设置 今日下行消息数量
     * @param downloadMessageTotalCountList
     */
    public DeviceStatQuery downloadMessageTotalCountList(List<Integer> downloadMessageTotalCountList){
        this.downloadMessageTotalCountList = downloadMessageTotalCountList;
        return this;
    }

    /**
     * 设置  年
     * @param year
     */
    public DeviceStatQuery year(Integer year){
        setYear(year);
        return this;
    }

    /**
     * 设置 开始 年
     * @param yearStart
     */
    public DeviceStatQuery yearStart(Integer yearStart){
        this.yearStart = yearStart;
        return this;
    }

    /**
     * 设置 结束 年
     * @param yearEnd
     */
    public DeviceStatQuery yearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
        return this;
    }

    /**
     * 设置 增加 年
     * @param yearIncrement
     */
    public DeviceStatQuery yearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
        return this;
    }

    /**
     * 设置 年
     * @param yearList
     */
    public DeviceStatQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
        return this;
    }

    /**
     * 设置  月
     * @param month
     */
    public DeviceStatQuery month(Integer month){
        setMonth(month);
        return this;
    }

    /**
     * 设置 开始 月
     * @param monthStart
     */
    public DeviceStatQuery monthStart(Integer monthStart){
        this.monthStart = monthStart;
        return this;
    }

    /**
     * 设置 结束 月
     * @param monthEnd
     */
    public DeviceStatQuery monthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
        return this;
    }

    /**
     * 设置 增加 月
     * @param monthIncrement
     */
    public DeviceStatQuery monthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
        return this;
    }

    /**
     * 设置 月
     * @param monthList
     */
    public DeviceStatQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
        return this;
    }

    /**
     * 设置  日
     * @param day
     */
    public DeviceStatQuery day(Integer day){
        setDay(day);
        return this;
    }

    /**
     * 设置 开始 日
     * @param dayStart
     */
    public DeviceStatQuery dayStart(Integer dayStart){
        this.dayStart = dayStart;
        return this;
    }

    /**
     * 设置 结束 日
     * @param dayEnd
     */
    public DeviceStatQuery dayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
        return this;
    }

    /**
     * 设置 增加 日
     * @param dayIncrement
     */
    public DeviceStatQuery dayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
        return this;
    }

    /**
     * 设置 日
     * @param dayList
     */
    public DeviceStatQuery dayList(List<Integer> dayList){
        this.dayList = dayList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public DeviceStatQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public DeviceStatQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public DeviceStatQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public DeviceStatQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public DeviceStatQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DeviceStatQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DeviceStatQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DeviceStatQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DeviceStatQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}